Bug 1278671 - (octave-metch) Review Request: octave-metch - Mesh/volume registration toolbox
Review Request: octave-metch - Mesh/volume registration toolbox
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-11-06 01:38 EST by Igor Gnatenko
Modified: 2015-12-15 08:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-06 01:38:54 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/octave-metch.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/octave-metch-0.5.0-1.fc24.src.rpm
Description:
Matlab/Octave-based mesh/volume registration toolbox. It provides
straightforward functions to register point clouds (or surfaces) to a
triangular/cubic surface mesh by calculating an optimal affine transformation
(in terms of matrix A for scaling and rotation, and b for translation). It
also allows one to project a point cloud onto the surface using surface norms
and guarantee the conformity of the points to the surface. At this point, metch
can only perform rigid-body registration in terms of a linear transformation. 
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-01 19:23:42 EST
- license is OK
- license file is present, %license is used
- latest version
- standard scriptlets
- builds and installs fine
- summary and description are OK
- package name is OK

Rpmlint
-------
Checking: octave-metch-0.5.0-1.fc24.noarch.rpm
          octave-metch-0.5.0-1.fc24.src.rpm
octave-metch.noarch: W: spelling-error %description -l en_US Matlab -> Mat lab, Mat-lab, Mazatlan
octave-metch.noarch: W: spelling-error %description -l en_US affine -> caffeine, fine
octave-metch.src: W: spelling-error %description -l en_US Matlab -> Mat lab, Mat-lab, Mazatlan
octave-metch.src: W: spelling-error %description -l en_US affine -> caffeine, fine
2 packages and 0 specfiles checked; 3 errors, 5 warnings.

All OK.

Rpmlint (installed packages)
----------------------------
octave-metch.noarch: E: script-without-shebang /usr/share/octave/packages/metch-0.5.0/trisurfnorm.m
octave-metch.noarch: E: script-without-shebang /usr/share/octave/packages/metch-0.5.0/nodesurfnorm.m
octave-metch.noarch: E: script-without-shebang /usr/share/octave/packages/metch-0.5.0/dist2surf.m
Those three have spurious +x permission. Please remove.

octave-metch.noarch: W: dangerous-command-in-%preun mv
OK, comes from a standard scriptlet.

1 packages and 0 specfiles checked; 3 errors, 1 warnings.

Requires
--------
octave-metch (rpmlib, GLIBC filtered):
    /bin/sh
    octave

Provides
--------
octave-metch:
    octave-metch

Please fix the permissions. Package is APPROVED.
Comment 2 Till Maas 2015-12-06 05:26:31 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/octave-metch
Comment 3 Fedora Update System 2015-12-06 06:50:54 EST
octave-metch-0.5.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-84332ef5c6
Comment 4 Fedora Update System 2015-12-06 18:51:20 EST
octave-metch-0.5.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update octave-metch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-84332ef5c6
Comment 5 Fedora Update System 2015-12-15 08:22:54 EST
octave-metch-0.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.